=== debian/watch ===
version=3
http://maliit.org/releases/maliit-framework/maliit-framework-([\d\.]+)\.tar\.bz2
