## maliit-framework 0.94.2

=== debian/changelog ===
maliit-framework (0.94.2-0ubuntu1b1) raring; urgency=low

  * No-change rebuild against libudev1

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Mar 2013 07:07:56 +0000

maliit-framework (0.94.2-0ubuntu1) raring; urgency=low

  * New upstream release
   + Do not abort if there are no plugins
   + Do not call g_type_init for glib > 2.34
   + Do not use debug config for unit tests
  * Add new maliit-dbus-activation package to be installed when the user
    wishes to use maliit in this way (for example on a tablet). The default is
    to use explicit input method configuration. This currently only works with
    im-switch; im-config (Ubuntu's default IM switching framework) integration
    is still pending.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 26 Feb 2013 11:44:26 +0000

maliit-framework (0.94.1-1~ubuntu4) raring; urgency=low

  * Use compat 9 so that build flags are passed into the buildsystem for us.
  * Use qmake-qt4 explicitly (for now).

 -- Iain Lane <iain.lane@canonical.com>  Fri, 08 Feb 2013 10:01:17 +0000
