=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: maliit-framework
 Section: libs
 Priority: extra
-Maintainer: Debian Mobile Team <debian-mobile@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Mobile Team <debian-mobile@lists.debian.org>
 Uploaders: Michał Zając <quintasan@kubuntu.org>, Iain Lane <laney@debian.org>
-Build-Depends: debhelper (>= 7.0.50),
+Build-Depends: debhelper (>= 9),
                doxygen,
                gobject-introspection,
                graphviz,
@@ -233,3 +234,15 @@
  .
  This package contains documentation for text input method framework for
  application developers.
+
+Package: maliit-dbus-activation
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, maliit-framework
+Description: text input method framework - D-Bus activation data
+ Maliit provides a flexible and cross-platform input method framework for
+ mobile and embedded text input. It has a plugin-based client-server
+ architecture where applications act as clients and communicate with the Maliit
+ server via toolkit-specific input context plugins.
+ .
+ This package enables Maliit's D-Bus activation feature, enabling Maliit
+ universally.
