=== debian/rules ===
--- 
+++ 
@@ -48,6 +48,6 @@
 	dh_strip
 
 %:
-	dh $@ --with gir
+	dh $@ --with gir --buildsystem=qmake_qt4
 
 .PHONY: override_dh_auto_configure override_dh_auto_clean override_dh_auto_install override_dh_auto_test override_dh_install override_dh_makeshlibs override_dh_strip
