## maliit-framework 0.99.0+git20130615+97e8335

=== debian/changelog ===
maliit-framework (0.99.0+git20130615+97e8335-0ubuntu8) trusty; urgency=medium

  * No-change rebuild for shlib changes in qtbase and qtdeclarative.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 11 Apr 2014 21:16:27 -0300

maliit-framework (0.99.0+git20130615+97e8335-0ubuntu7) trusty; urgency=medium

  * Bump the Qt dependency to 5.2, change the mkspecs install path as required
    by the new Qt version (LP: #1279235).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Thu, 27 Feb 2014 10:39:43 +0100

maliit-framework (0.99.0+git20130615+97e8335-0ubuntu6) trusty; urgency=medium

  * Fix mapping between screen orientations and rotation angles. (LP: #1251330)

 -- Daniel d'Andrada <daniel.dandrada@canonical.com>  Fri, 31 Jan 2014 15:59:27 -0200

maliit-framework (0.99.0+git20130615+97e8335-0ubuntu5) trusty; urgency=medium

  * Modify xvfb command to successfully pass tests (LP: #1272249)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 24 Jan 2014 13:49:59 +0000

maliit-framework (0.99.0+git20130615+97e8335-0ubuntu4) trusty; urgency=medium

  [ Timo Jyrinki ]
  * Remove hard-coded dependency on libqt5core5 (LP: #1270720).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 24 Jan 2014 14:54:42 +0400

maliit-framework (0.99.0+git20130615+97e8335-0ubuntu3) saucy; urgency=low

  * Removing server.conf so the framework can use whatever is defined by
    default. If a keyboard wants to replace the default behavior, it can
    replace the system-wide config or make it per-user.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 21 Aug 2013 19:11:07 -0300

maliit-framework (0.99.0+git20130615+97e8335-0ubuntu2) saucy; urgency=low

  * Add missing Replaces/Breaks from libmaliit-plugins0 to maliit-framework
    due to file move. (LP: #1204543)
  * Restore some packaging bits that were dropped when the packaging was
    rewritten from dh to cdbs in the previous upload.
    - --fail-missing
    - Run the testsuite
  * Don't build-depend or use quilt explicitly. This is a 3.0 (quilt) package.
  * Make transitional packages Arch: all and remove strict versioned deps.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 25 Jul 2013 09:45:13 +0000

maliit-framework (0.99.0+git20130615+97e8335-0ubuntu1) saucy; urgency=low

  [ Sergio Schvezov ]
  * New build from HEAD 97e8335.
  * Packaging import from lp:phablet-extras/maliit-framework.

  [ Ricardo Salveti de Araujo ]
  * debian/control: adding vcs and fixing dependencies
  * General package cleanup

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 23 Jul 2013 19:47:04 -0300
