## maliit-framework 0.99.0+git20130923+17fdf86

=== debian/changelog ===
maliit-framework (0.99.0+git20130923+17fdf86-0ubuntu9) wily; urgency=medium

  [ Michael Sheldon ]
  * 0014-fix-building-with-qt5.5.patch: Fix FTBFS with Qt 5.5 (LP: #1437182)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 04 Jun 2015 12:12:49 +0100

maliit-framework (0.99.0+git20130923+17fdf86-0ubuntu8) vivid; urgency=medium

  [ William Hua ]
  * maliit-framework.sh prevents IBus and Fcitx from running under Unity 7
    because of the export of QT_IM_MODULE. This export should only be done
    under a Unity 8 session (LP: #1245925).

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 26 Mar 2015 18:34:50 -0300

maliit-framework (0.99.0+git20130923+17fdf86-0ubuntu7) vivid; urgency=medium

  * No-change rebuild against Qt 5.4.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 11 Mar 2015 08:25:31 +0200

maliit-framework (0.99.0+git20130923+17fdf86-0ubuntu6) vivid; urgency=medium

  * No-change rebuild against Qt 5.4.0.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Feb 2015 13:58:04 +0200

maliit-framework (0.99.0+git20130923+17fdf86-0ubuntu5) vivid; urgency=medium

  [ Michael Sheldon ]
  * 0013-check-testability-environment-variable.patch: check for the
    QT_LOAD_TESTABILITY envrionment variable (LP: #1248729)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 20 Nov 2014 17:28:39 -0200

maliit-framework (0.99.0+git20130923+17fdf86-0ubuntu4) vivid; urgency=medium

  * Depend on libmtdev-dev for building. (LP: #1379152)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 06 Nov 2014 12:12:17 +0200

maliit-framework (0.99.0+git20130923+17fdf86-0ubuntu3) vivid; urgency=medium

  [ Michael Sheldon ]
  * 0012-fix-focus-changes.patch: Only allow maliit to remove focus
    from input fields (LP: #1373985)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 03 Nov 2014 17:15:21 -0200

maliit-framework (0.99.0+git20130923+17fdf86-0ubuntu2) utopic; urgency=medium

  * 0011-fix-orientation-updates.patch: Ensure the correct orientation is
    always updated in cases where app orientations change whilst the app
    isn't in focus (e.g. when the phone lock screen is displayed)
    (LP: #1355752) (LP: #1366855)

 -- Michael Sheldon <michael.sheldon@canonical.com>  Thu, 11 Sep 2014 17:13:44 +0100

maliit-framework (0.99.0+git20130923+17fdf86-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot
    - Dropping patches that are already in upstream
    - Sync with latest from upstream

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 18 Aug 2014 12:38:22 -0300

maliit-framework (0.99.0+git20130615+97e8335-0ubuntu11) utopic; urgency=medium

  [ Michael Sheldon ]
  * 0010-fix-building-with-g++-4.9.patch: g++ 4.9 introduces a new check for
    unused functions that we wish to ignore to avoid removing upstream code

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 04 Aug 2014 17:16:34 -0300

maliit-framework (0.99.0+git20130615+97e8335-0ubuntu10) utopic; urgency=medium

  * Ensure that input method area sizes are always updated when sent from the
    keyboard plugin regardless of whether the keyboard is currently active.
    This allows for hiding animations to correctly set the input method area 
    whilst the keyboard is otherwise inactive.

 -- Michael Sheldon <michael.sheldon@canonical.com>  Mon, 28 Jul 2014 16:58:21 +0100

maliit-framework (0.99.0+git20130615+97e8335-0ubuntu9) utopic; urgency=medium
  
  [ Timo Jyrinki ]
  * Rebuild against Qt 5.3.

  [ ultraviolet ]
  * Add 0008-qt5.3-fix.patch:
    - Fix building against Qt 5.3 (LP: #1323962)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 02 Jun 2014 15:26:38 +0300
