=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends: cdbs,
                debhelper (>= 9),
                libdbus-glib-1-dev,
+               libmtdev-dev,
                libudev-dev,
                libxcb-composite0-dev,
                libxcb-damage0-dev,
