=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PKG_source      := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 UPS_version     := $(shell echo '$(PKG_version)' | sed 's/.*://; s/-[^-]*$$//')
 GIT_rev         := $(shell echo '$(UPS_version)' | sed 's/.*+//')
-GIT_repo        := https://git.gitorious.org/maliit/maliit-framework.git
+GIT_repo        := https://github.com/maliit/framework.git
 
 comma :=,
 empty :=
