## maliit-framework 0.99.1+git20151118+62bd54b

=== debian/changelog ===
maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu3) xenial; urgency=medium

  * Rebuild against Qt 5.5.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Nov 2015 15:57:59 +0200

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu2) xenial; urgency=medium

  * Add back missing changelog entries. No functional changes since the 
    patches in missed uploads were merged upstream.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 25 Nov 2015 05:55:28 +0000

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu1) xenial; urgency=medium

  * New upstream release 0.99.1:
    - Introduced Qt5 input context, replacing the one provided by Qt. Can 
      be enabled by CONFIG+=qt5-inputcontext
    - Move maliit-glib from GTK+ input context package back into frameowrk
    - Use GDBus in maliit-glib
    - Allow plugin window reactive area and input method area reported to
      application differ
    - Fix window state to have transient hint and window type as with
      Maliit 0.8x
    - Made the dependency from xcb optional
    - Added a CONFIG option to disable the hardware keyboard
    - Clear preedit state on input context reset
    - Reshow virtual keyboard when hardware keyboard disappears
    - Fix bugs with Qt 5.3, Qt 5.4 and Qt 5.5
  * debian/control:
    - Update standards version
    - Replace libdbus-glib-1-dev with libglib2.0-dev
    - Fix description of libmaliit-plugins0
    - Add libmaliit-glib0 and libmaliit-glib-dev
    - Remove maliit-inputcontext-gtk2 and maliit-inputcontext-gtk3
  * debian/libmaliit-glib0.install:
  * debian/libmaliit-glib-dev.install:
    - Added, mark files for installation
  * debian/maliit-framework.sh:
  * debian/xinput/maliit:
    - Export GTK_IM_MODULE under Unity 8
  * debian/patches/series:
  * debian/patches/0008-qt5.3-fix.patch:
  * debian/patches/0014-fix-building-with-qt5.5.patch:
  * debian/patches/0015-fix-plugin-iid.patch:
    - Removed, fixed upstream
  * debian/patches/0014-revert-6e2f8b4253f219688d31002aebf010eeabf0079b.patch:
    - Added, install generated headers properly
  * debian/rules:
    - Don't qmake recursively
    - Configure to build GLib bindings
    - Disable warnings due to unused parameters, this is a bug that needs to
      be fixed in GLib

 -- William Hua <william.hua@canonical.com>  Wed, 18 Nov 2015 15:28:03 -0500

maliit-framework (0.99.0+git20130923+17fdf86-0ubuntu12) wily; urgency=medium

  * Add 0015-fix-plugin-iid.patch to fix keyboard functionality with Qt 5.5, 
    #ifdef to build also on Qt 5.4.
    (LP: #1474690)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 05 Oct 2015 12:41:54 +0000

maliit-framework (0.99.0+git20130923+17fdf86-0ubuntu11~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Jul 2015 15:39:10 +0000

maliit-framework (0.99.0+git20130923+17fdf86-0ubuntu10) wily; urgency=medium

  * No-change rebuild against Qt 5.4.2.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 11 Jun 2015 21:28:58 +0300
