=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Michał Zając <quintasan@kubuntu.org>, Iain Lane <laney@debian.org>
 Build-Depends: cdbs,
                debhelper (>= 9),
-               libdbus-glib-1-dev,
+               libglib2.0-dev,
                libmtdev-dev,
                libudev-dev,
                libxcb-composite0-dev,
@@ -21,7 +21,7 @@
 # Test depends
                xvfb,
                qtdeclarative5-qtquick2-plugin
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: https://wiki.maliit.org
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/maliit/maliit-framework-ubuntu
 Vcs-Bzr: lp:~ubuntu-core-dev/maliit/maliit-framework-ubuntu
@@ -34,8 +34,6 @@
         libmaliit-glib0 (<< ${source:Version}),
         libmaliit0 (<< ${source:Version}),
         maliit-dbus-activation (<< ${source:Version}),
-        maliit-inputcontext-gtk2 (<< ${source:Version}),
-        maliit-inputcontext-gtk3 (<< ${source:Version}),
         maliit-inputcontext-qt4 (<< ${source:Version}),
 Description: Maliit Input Method Framework
  Maliit provides a flexible and cross-platform input method framework. It has a
@@ -50,7 +48,7 @@
 Replaces: maliit-framework (<< 0.99)
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-Description: Maliit Input Method Framework Plugin Library
+Description: Maliit Input Method Framework - Plugin Library
  Maliit provides a flexible and cross-platform input method framework. It has a
  plugin-based client-server architecture where applications act as clients and
  communicate with the Maliit server via input context plugins. The communication
@@ -93,11 +91,30 @@
  This is a transitional dummy package. It can safely be removed.
 
 Package: libmaliit-glib0
-Depends: maliit-framework, ${misc:Depends}
-Architecture: all
-Section: oldlibs
-Description: transitional dummy package
- This is a transitional dummy package. It can safely be removed.
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Architecture: any
+Section: libs
+Description: Maliit Input Method Framework - GLib Bindings
+ Maliit provides a flexible and cross-platform input method framework. It has a
+ plugin-based client-server architecture where applications act as clients and
+ communicate with the Maliit server via input context plugins. The communication
+ link currently uses D-Bus. Maliit is an open source framework (LGPL 2) with
+ open source plugins (BSD).
+ .
+ This package provides GLib bindings for the Maliit framework.
+
+Package: libmaliit-glib-dev
+Depends: libmaliit-glib0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Architecture: any
+Section: libdevel
+Description: Maliit Input Method Framework - GLib Development Headers
+ Maliit provides a flexible and cross-platform input method framework. It has a
+ plugin-based client-server architecture where applications act as clients and
+ communicate with the Maliit server via input context plugins. The communication
+ link currently uses D-Bus. Maliit is an open source framework (LGPL 2) with
+ open source plugins (BSD).
+ .
+ This package provides GLib development headers for the Maliit framework.
 
 Package: libmaliit0
 Depends: maliit-framework, ${misc:Depends}
@@ -113,20 +130,6 @@
 Description: transitional dummy package
  This is a transitional dummy package. It can safely be removed.
 
-Package: maliit-inputcontext-gtk2
-Depends: maliit-framework, ${misc:Depends}
-Architecture: all
-Section: oldlibs
-Description: transitional dummy package
- This is a transitional dummy package. It can safely be removed.
-
-Package: maliit-inputcontext-gtk3
-Depends: maliit-framework, ${misc:Depends}
-Architecture: all
-Section: oldlibs
-Description: transitional dummy package
- This is a transitional dummy package. It can safely be removed.
-
 Package: maliit-inputcontext-qt4
 Depends: maliit-framework, ${misc:Depends}
 Architecture: all
