=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,8 @@
 
 # Build options
 ENABLE_MULTITOUCH = false
-DEB_QMAKE_CONFIG_VAL = qt5-inputcontext debug nodoc
-DEB_QMAKE_ARGS = -r\
+DEB_QMAKE_CONFIG_VAL = qt5-inputcontext glib debug nodoc warn_off
+DEB_QMAKE_ARGS = \
 	M_IM_PREFIX=/usr \
 	MALIIT_SERVER_ARGUMENTS="-software -bypass-wm-hint" \
 	MALIIT_DEFAULT_PLUGIN=libmaliit-keyboard-plugin.so
